Page MenuHomePhabricator

CentralNotice reloads old translatable messages on form submit
Closed, ResolvedPublic2 Estimate Story Points

Description

After submitting updated translatable messages of a banner, the page reloads and displays the old messages.

After reloading again, the updated messages are being displayed.


Version: unspecified
Severity: normal

Details

Reference
bz70939
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport set Reference to bz70939.
bzimport added a subscriber: Unknown Object (MLST).

Not sure if this is actually a code issue, or some caching on the server / syncing with translations issue, or a client browser cache issue.

Do you have a specific example where this happened (banner and language and website)?

This happens on meta.wikimedia.org/wiki/Special:CentralNotice. Most probably it is a translation sync issue. I'm just editing the default language, though.

This actually happens in every case:

(In reply to Kai Nissen from comment #2)

Most probably it is a translation sync issue.

So somewhere between Language Engineering and Deployment Systems...

Pcoombe set Security to None.
atgo triaged this task as Low priority.Jan 28 2015, 9:17 PM
Pcoombe raised the priority of this task from Low to Medium.Sep 11 2015, 10:05 AM
Pcoombe added a subscriber: Pcoombe.

Raising priority to normal, this is a rather annoying bug.

Pretty sure this is actually a CentralNotice issue. I noticed that the "Included templates" list doesn't update after changing the banner code either, until the page is reloaded again.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 10:05 AM

Thanks!! Messages for this CentralNotice banner, currently live in Argentina, are empty... Possibly related?

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 22 2017, 9:44 PM

Change 484809 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/CentralNotice@master] Don't use custom caching for the banner message fields

https://gerrit.wikimedia.org/r/484809

AndyRussG claimed this task.Sep 9 2019, 9:45 AM
AndyRussG set the point value for this task to 2.

Change 535133 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] In SpecialCentralNoticeBanners use $this->banner in processSaveBannerAction()

https://gerrit.wikimedia.org/r/535133

Change 535133 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] In SpecialCentralNoticeBanners use $this->banner in processSaveBannerAction()

https://gerrit.wikimedia.org/r/535133

Ooops! It looks like the attached change targeted a different bug than the one described in this change... And while it fixed the issue for me locally, it's still occurring intermittently on production and on the Beta cluster.

Here's a bug for the issue that that patch intended to fix: T232793.

Also here's an updated bug for the issue that I think this bug is about: T232430.

Thanks!!!

AndyRussG changed the task status from Duplicate to Resolved.Sep 13 2019, 12:56 AM

For current discussion of possible causes, please see T232430. Thanks!!!